Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface ActivityModel

All Known Subinterfaces:
  PickReceiveModel

All Known Implementing Classes:
  OActivity, OActivity, OAgent, OAgent, OAssign, OAssign, OAssign.Copy, OAssign.Copy, OAssign.DirectRef, OAssign.DirectRef, OAssign.Expression, OAssign.Expression, OAssign.ExtensionAssignOperation, OAssign.Literal, OAssign.Literal, OAssign.LValueExpression, OAssign.LValueExpression, OAssign.OAssignOperation, OAssign.PartnerLinkRef, OAssign.PartnerLinkRef, OAssign.PropertyRef, OAssign.PropertyRef, OAssign.VariableRef, OAssign.VariableRef, OBase, OBase, OCatch, OCatch, OCompensate, OCompensate, OCompensationHandler, OCompensationHandler, OConstantExpression, OConstantExpression, OConstants, OConstants, OConstantVarType, OConstantVarType, OElementVarType, OElementVarType, OEmpty, OEmpty, OEventHandler, OEventHandler, OEventHandler.OAlarm, OEventHandler.OAlarm, OEventHandler.OEvent, OEventHandler.OEvent, OExpression, OExpression, OExpressionLanguage, OExpressionLanguage, OExtensionActivity, OExtVar, OExtVar, OFaultHandler, OFaultHandler, OFlow, OFlow, OForEach, OForEach, OForEach.CompletionCondition, OForEach.CompletionCondition, OInvoke, OInvoke, OLink, OLink, OLValueExpression, OLValueExpression, OMessageVarType, OMessageVarType, OMessageVarType.Part, OMessageVarType.Part, OPartnerLink, OPartnerLink, OPickReceive, OPickReceive, OPickReceive.OnAlarm, OPickReceive.OnAlarm, OPickReceive.OnMessage, OPickReceive.OnMessage, OProcess, OProcess, OProcess.OExtension, OProcess.OProperty, OProcess.OProperty, OProcess.OPropertyAlias, OProcess.OPropertyAlias, OPropertyVarType, ORepeatUntil, ORepeatUntil, OReply, OReply, ORethrow, ORethrow, OScope, OScope, OScope.CorrelationSet, OScope.CorrelationSet, OScope.Variable, OScope.Variable, OSequence, OSequence, OSwitch, OSwitch, OSwitch.OCase, OSwitch.OCase, OTerminate, OTerminate, OTerminationHandler, OTerminationHandler, OThrow, OThrow, OVarType, OVarType, OWait, OWait, OWhile, OWhile, OXPath10Expression, OXPath10Expression, OXPath10Expression.OSigGetVariableData, OXPath10Expression.OSigGetVariableData, OXPath10ExpressionBPEL20, OXPath10ExpressionBPEL20, OXPath20ExpressionBPEL20, OXPath20ExpressionBPEL20, OXQuery10ExpressionBPEL20, OXsdTypeVarType, OXsdTypeVarType, OXslSheet, OXslSheet

    public interface ActivityModel

Method Summary
`java.util.HashMap<javax.xml.namespace.QName,java.lang.Object>` | `getExtensibilityElements()`

Method Detail

### getExtensibilityElements

    java.util.HashMap<javax.xml.namespace.QName,java.lang.Object> getExtensibilityElements()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD